Package voltage.core

# Class MidiJack

java.lang.Object
voltage.core.VoltageComponent
voltage.core.Jack
voltage.core.MidiJack

public class MidiJack extends Jack
An individual MIDI jack.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class voltage.core.Jack

  `Jack.JackType`

- ## Field Summary

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MidiJack(String componentName, String displayName, VoltageModule module, Jack.JackType type)`
  `MidiJack(String componentName, VoltageModule module, Jack.JackType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `AddMessage(ShortMessage message)`
  `void`
  `ClearMessages()`
  `void`
  `ClearMessagesBeforeWriting()`
  `void`
  `Connect(VoltageCable cable)`
  Connects a cable to a jack Each cable can have one input jack and one output jack.
  `void`
  `Disconnect()`
  Disconnects any cable from a jack
  `ArrayList<ShortMessage>`
  `GetMessages()`

  ### Methods inherited from class voltage.core.Jack

  `GetValue, IsConnected, SetValue`

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MidiJack

    public MidiJack(String componentName, VoltageModule module, Jack.JackType type)

  - ### MidiJack

    public MidiJack(String componentName, String displayName, VoltageModule module, Jack.JackType type)

- ## Method Details

  - ### AddMessage

    public void AddMessage(ShortMessage message)

  - ### GetMessages

    public ArrayList<ShortMessage> GetMessages()

  - ### ClearMessages

    public void ClearMessages()

  - ### ClearMessagesBeforeWriting

    public void ClearMessagesBeforeWriting()

  - ### Connect

    public void Connect(VoltageCable cable)
    Description copied from class: `Jack`
    Connects a cable to a jack Each cable can have one input jack and one output jack.
    Specified by:
      `Connect` in class `Jack`
    Parameters:
      `cable` - the cable to connect the jack to.

  - ### Disconnect

    public void Disconnect()
    Description copied from class: `Jack`
    Disconnects any cable from a jack
    Specified by:
      `Disconnect` in class `Jack`